Subject: Re: bug#73986: 31.0.50; Allow suppressing message passed to set-transient-map

From: Juri Linkov <[email-masked]>
Date: Thu, 24 Oct 2024 20:12:20 +0300

> If a caller of set-transient-map passes a suitable format string, this
> is displayed as a message on activating the transient map.  An example
> is text-scale-adjust, which displays the message "Use +, =, -, 0, C-+,
> C-=, C--, C-0 for further adjustment".  So if after typing `C-x C-+' you
> immediately type `+ + + - - -', the text size increases three times and
> then decreases three times.  But on each key press the message is
> redisplayed, which is slighty annoying (it actually looks like it stays
> in the echo area but there is a brief flicker on each key press); the
> message is helpful the first time, if you're unfamiliar with the
> command, but on repeated uses, it becomes visual noise.  So I propose a
> user option to suppress the message, as in the attached patch.

Instead of adding a myriad of user options for every command
that displays a message, we decided to create a single point
of customization, so you could just set these options:

  (add-to-list 'set-message-functions 'inhibit-message)
  (add-to-list 'inhibit-message-regexps "for further adjustment")